
CoCoALib - Bug #21

Rename NumTheory and NumTheoryQQ

08 Nov 2011 08:56 - Anna Maria Bigatti

Status: Closed Start date: 08 Nov 2011

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 0.00 hour

Target version: CoCoALib-0.9950 Spent time: 4.00 hours

Description

Should there be just one file NumTheory?

Or NumTheoryBigInt/BigRat?

Or BigIntArith/BigRatArith?

History

#1 - 08 Nov 2011 10:03 - Anna Maria Bigatti

- Category set to Renaming

#2 - 09 Nov 2011 15:16 - Anna Maria Bigatti

- Target version set to CoCoALib-0.9950

#3 - 16 Mar 2012 17:47 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

The simplest solution seemed to be to merge NumTheoryQQ into NumTheory.  This avoids a possibly confusing, seemingly arbitrary subdivision of

"num theory" functions.

Made consequential changes to doc, Makefiles, etc.

#4 - 13 Jul 2012 15:28 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti
